# TdApi.ChatEventActiveUsernamesChanged (tdlight API 4.0.311 API)
declaration: module: tdlight.api, package: it.tdlight.jni, class: TdApi, class: ChatEventActiveUsernamesChanged

Module tdlight.api
Package it.tdlight.jni

# Class TdApi.ChatEventActiveUsernamesChanged

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.ChatEventAction
it.tdlight.jni.TdApi.ChatEventActiveUsernamesChanged

Enclosing class:
  TdApi

public static final class TdApi.ChatEventActiveUsernamesChanged extends TdApi.ChatEventAction
The chat active usernames were changed.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
`String[]`
`newUsernames`
New list of active usernames.
`String[]`
`oldUsernames`
Previous list of active usernames.

## Constructor Summary

Constructors
Constructor
Description
`ChatEventActiveUsernamesChanged()`
The chat active usernames were changed.
`ChatEventActiveUsernamesChanged(DataInput input)`
The chat active usernames were changed.
`ChatEventActiveUsernamesChanged(String[] oldUsernames, String[] newUsernames)`
The chat active usernames were changed.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### oldUsernames

public String[] oldUsernames
Previous list of active usernames.

### newUsernames

public String[] newUsernames
New list of active usernames.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### ChatEventActiveUsernamesChanged

public ChatEventActiveUsernamesChanged()
The chat active usernames were changed.

### ChatEventActiveUsernamesChanged

public ChatEventActiveUsernamesChanged(String[] oldUsernames, String[] newUsernames)
The chat active usernames were changed.

Parameters:
  `oldUsernames` - String[] Previous list of active usernames.
  `newUsernames` - String[] New list of active usernames.

### ChatEventActiveUsernamesChanged

public ChatEventActiveUsernamesChanged(DataInput input) throws IOException
The chat active usernames were changed.

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`